@echo off
cd %~dp0

if not exist "venv" (
    echo Virtual environment not found.
    echo Please run setup.py to create the virtual environment.
    pause
    exit /b
)

call venv/Scripts/activate

rem Load environment variables from .env file
if exist ".env" (
    for /f "tokens=1,* delims==" %%a in ('findstr /v /r "^#" .env') do (
        set "%%a=%%b"
    )
) else (
    echo .env file not found.
)

python src/app.py
pause