from typing import Optional
from pydantic import BaseModel

from dtos.time_dtos import TimeDTO

class CreateReservationDTO(BaseModel):
    title: str
    description: Optional[str] = None
    room_id: str
    date: str
    start_time: TimeDTO
    finish_time: TimeDTO
    color: int

class UpdateReservationDTO(BaseModel):
    title: Optional[str] = None
    description: Optional[str] = None
    room_id: Optional[str] = None
    date: Optional[str] = None
    start_time: Optional[TimeDTO] = None
    finish_time: Optional[TimeDTO] = None
    color: Optional[int] = None