from functools import wraps
from flask import request, jsonify
from pydantic import ValidationError

def validate_request(dto_class):
    def decorator(func):
        @wraps(func)
        def wrapper(*args, **kwargs):
            try:
                data = request.get_json()
                dto = dto_class(**data)
                return func(*args, **kwargs)
            except ValidationError as e:
                print(e)
                return jsonify({"error": e.errors()}), 400
        return wrapper
    return decorator